# Uses of Interface
org.eclipse.mat.snapshot.model.IInstance

Packages that use IInstance
Package
Description
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.internal.collectionextract
Code for reading data from collections found in a snapshot.
org.eclipse.mat.parser.model
The implementation of key snapshot objects such as representing classes, arrays, and objects in the snapshot.
org.eclipse.mat.snapshot.model
Snapshot entities, for example class, instances, class loaders, fields, GC roots.

## Uses of IInstance in org.eclipse.mat.inspections

Methods in org.eclipse.mat.inspections with parameters of type IInstance
Modifier and Type
Method
Description
`static ObjectReference`
ReferenceQuery.`getReferent(IInstance instance)`

## Uses of IInstance in org.eclipse.mat.internal.collectionextract

Methods in org.eclipse.mat.internal.collectionextract that return IInstance
Modifier and Type
Method
Description
`static IInstance`
ExtractionUtils.`followOnlyNonArrayOutgoingReference(IObject obj)`
Get the only non-array object field from the object.

## Uses of IInstance in org.eclipse.mat.parser.model

Classes in org.eclipse.mat.parser.model that implement IInstance
Modifier and Type
Class
Description
`class`
`ClassLoaderImpl`
Implementation of a Java object representing a java.lang.ClassLoader object.
`class`
`InstanceImpl`
Implementation of a plain Java object.

## Uses of IInstance in org.eclipse.mat.snapshot.model

Subinterfaces of IInstance in org.eclipse.mat.snapshot.model
Modifier and Type
Interface
Description
`interface`
`IClassLoader`
An interface for class loader.